Get the results of the consignment product received report

Body·
application/json
  • batch
    Type: string | null

    The product batch to filter by

  • bestBeforeDate
    Type: string | nullFormat: date

    The product best before date to filter by

  • clientPartnerId
    Type: string | nullFormat: uuid

    The client partner to filter by

  • dateFrom
    Type: stringFormat: date

    The start date in the consignment received date range

  • dateTo
    Type: stringFormat: date

    The end date in the consignment received date range

  • expiryDate
    Type: string | nullFormat: date

    The product expiry date to filter by

  • packagingDate
    Type: string | nullFormat: date

    The product packaging date to filter by

  • productionDate
    Type: string | nullFormat: date

    The product production date to filter by

  • sellByDate
    Type: string | nullFormat: date

    The product sell by date to filter by

  • warehouseId
    Type: string | nullFormat: uuid

    The warehouse to filter by

Responses
  • application/json
Request Example for post/v1/reports/consignment-product-received
curl https://api.consignlyhq.com/v1/reports/consignment-product-received \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "dateFrom": "date (YYYY-MM-DD)",
  "dateTo": "date (YYYY-MM-DD)",
  "clientPartnerId": null,
  "warehouseId": null,
  "batch": null,
  "bestBeforeDate": "date (YYYY-MM-DD)",
  "expiryDate": "date (YYYY-MM-DD)",
  "packagingDate": "date (YYYY-MM-DD)",
  "productionDate": "date (YYYY-MM-DD)",
  "sellByDate": "date (YYYY-MM-DD)"
}'
[
  {
    "clientName": null,
    "consignmentNumber": null,
    "referenceNumber": null,
    "actualReceiveDateTime": "datetime (YYYY-MM-DDTHH:MM:SSZ)",
    "poNumber": null,
    "soNumber": null,
    "receiversReference": null,
    "sendersReference": null,
    "warehouseName": null,
    "serviceTypeNames": [
      "string"
    ],
    "carrierName": null,
    "carrierReferenceNumber": null,
    "originAddressName": null,
    "originAddressText": null,
    "destinationAddressName": null,
    "destinationAddressText": null,
    "containerNumber": null,
    "containerSize": "enum (TenFoot = 1, TwentyFoot = 2, FortyFoot = 3, FortyFiveFoot = 4)",
    "vesselName": null,
    "voyage": null,
    "sealNumber": null,
    "containerTareWeightKG": null,
    "containerGrossWeightKG": null,
    "dischargeShippingPortCode": null,
    "loadShippingPortCode": null,
    "logisticUnit": {
      "logisticUnitNumber": null,
      "ssccNumber": null,
      "referenceNumber": null
    },
    "productCode": null,
    "productName": null,
    "batch": null,
    "bestBeforeDate": "date (YYYY-MM-DD)",
    "expiryDate": "date (YYYY-MM-DD)",
    "packagingDate": "date (YYYY-MM-DD)",
    "productionDate": "date (YYYY-MM-DD)",
    "sellByDate": "date (YYYY-MM-DD)",
    "attributes": [
      {
        "name": null,
        "description": null
      }
    ],
    "expectedQuantity": 1,
    "expectedWeightKG": 1,
    "expectedVolumeM3": 1,
    "receivedQuantity": 1,
    "receivedWeightKG": 1,
    "receivedVolumeM3": 1
  }
]